Subject: bug#33709: Hang when compiled with --coverage and gcc 7.3

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Dec 2018 21:54:29 +0200

> From: Glenn Morris <[email-masked]>
> Date: Thu, 13 Dec 2018 14:40:33 -0500
> 
> On hydra, I had to drop all the way back to gcc 4.8 for this issue to go
> away. It still hung with gcc 5.5.0 (https://hydra.nixos.org/build/85827904)
> and 6.4.0 (https://hydra.nixos.org/build/85827876).

Was GCC 4.8 the version used on hydra before you upgraded to 7.4?

I hope Paul will look at this, but personally I'm very surprised that
"--coverage" at all works in a dumped Emacs, given the way it's
triggered (ctors and dtors).  It would be nice to have it working, of
course, if that's feasible.